Subject: Re: [Sipping] WGLC: draft-ietf-sipping-spam-03.txt --- REVIEW

From: Geoffrey Dawirs <[email-masked]>
Date: Thu, 11 Jan 2007 20:06:57 +0100

Hello all,

Jonathan Rosenberg a écrit :
> inline.
> 
> Geoffrey Dawirs wrote:
> 
>> Dear Jonathan,
>>
>> Glad to read you!
>>
>> See my answer inline...
>>
>>> 1. on sieve - in what way is this different from black and white 
>>> lists? The draft doesn't get into details on how you create and 
>>> manage such lists. Certainly sieve is one such option, but that level 
>>> of detail is beyond the scope of the draft.
>>
>>
>> Don't worry, I'm not trying to include low-level details in the draft. 
>> ;-)
>> I'm completely aware that we are talking about the WHAT and not about 
>> the HOW.
>>
>> Though, there is a main interesting difference between black/white 
>> lists and SIEVE: by default, talking about black/white lists mean that 
>> we block/allow senders. In other words, the main criteria comes from 
>> the "From" header. SIEVE brings the new idea that we can choose to 
>> accept or reject a message basing on multiple criteria's: request 
>> size, value or content of some headers...
> 
> Its not clear to me how that is helpful in the case of SIP spam. Clearly 
> message size is irrelevant for SIP; it might be more useful for email 
> where the content is sent in the message. What other headers did you 
> have in mind with SIP? Nothing seemed apparent to me.

For MESSAGE requests, size could be usefull. But this is clear that size 
is really less important than having the opportunity to  look at the 
value or the content of SIP requests: From (of course), Route (if some 
proxies are identified as SPAM intermediates), presence of some words in 
the Subject, or even in the Body...

For example, I could want not to receive SIP requests that contains Sex 
neither in their Subject nor in their Body!

Thomas, any other ideas?

>>
>> This way we would also explain that we could block unsollicited 
>> request thanks to very rich criteria's!
>>
>>> 2. on using buddy lists, white lists and black lists from different 
>>> users together, this too is discussed in the draft under reputation 
>>> systems. The document doesn't go into details on HOW one might do 
>>> that; such detail is outside of the scope of the document.
>>
>>
>> Ok, that's right. I didn't intend to include technical details in the 
>> draft, but rather underline that federating lists and empower the 
>> filtering features could be "easily" made from what currently exists.
> 
> Sure. My point only is that the draft already says that, so it was 
> unclear what more you thought needed to be said.

If you think this is clear enough, ok for me.

> Thanks,

Thanks to you!
Geoffrey
> Jonathan R.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP